Results 1 to 4 of 4

Thread: zypper, yast: Install 32bit packages on 64bit system

Hybrid View

  1. #1

    Default zypper, yast: Install 32bit packages on 64bit system

    Hi,

    I recently switched my system to 64bit openSuSE11.2. Works so far.
    One problem is that one commercial product (german Duden corrector for OpenOffice) does not work with the 64bit version of OpenOffice but only with 32bit.

    Now one solution would be to manually do something like rpm -i OpenOffice_org* in a directory with all the i686 packages (eg from the openSuSE DVD). However I asked myself if zypper or yast cannot do a better job, i.e. install the 32bit OO packages with their dependencies on a 64bit system.

    Is this possible? Up to now zypper always installs only the 64bit versions or if I change arch variable in in /etc/zypp/zypp.conf to i686, then zypper wants to reinstall half the system to i586 packages. I only want to have it install the i686 OpenOffice packages.

    Any idea, or does it simply not work?

    Thanks
    Rainer

  2. #2
    Join Date
    Jun 2008
    Location
    Finland, European Union
    Posts
    1,879

    Default Re: zypper, yast: Install 32bit packages on 64bit system

    From the zypper man page;
    PHP Code:
    install (in) [options] <name|capability|rpm_file_uri> ...
                  
    Install or update packages.

                  
    The packages can be selected by their name or by a capability they provide.

                  
    Capability isNAME, or "NAME[.ARCH][OP<EDITION>]"where ARCH is architecture codeOP is <,
                  <=, =, >=, or > and 
    EDITION is VERSION[-RELEASE].  For examplezypper=0.8.8-2. 
    So yes, you can define the arch as part of the installation command.

  3. #3

    Default Re: zypper, yast: Install 32bit packages on 64bit system

    It seems that this feature of zypper does work differently from what one might expect. I also read about this and tried it, but a

    zypper install OpenOffice_org.i686

    does run (whereas eg a zypper install OpenOffice_org.i999 reports an error) but it starts installing x86_64 packages after all not i686.

    So it seems, this is not the way to go.

  4. #4

    Default Re: zypper, yast: Install 32bit packages on 64bit system

    Quote Originally Posted by krienke View Post
    So it seems, this is not the way to go.
    The way to go is to report the problem.
    Martin did (https://bugzilla.novell.com/561294) and 18 minutes later Jn Kupec assigned it to himself with high priority.

    And, "zypper in <name>.<arch>" doesn't works, but "zypper in <name>.<arch> = <version>" does.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •